<?php
    if ( ! isset ( $_SESSION [ 'user_id' ] ) ) {
        header ( "Location: " . substr ( $_SERVER [ 'SCRIPT_NAME' ], 0, -10 ) . "/login" );
    }
    if ( isset ( $_POST [ 'url' ] ) ) {
        $url = $_POST [ 'url' ];
        $db_connection = db_connect ( );
        $statement = db_prepare ( $db_connection, "INSERT INTO `links` ( `ID`, `URL`, `created_by` ) VALUES ( NULL, ?, " . $_SESSION [ 'user_id' ] . " );" );
        $parameters = [
            [ "s" ],
            [ &$url ],
        ];
        db_bind ( $statement, $parameters );
        db_execute ( $statement );
        $statement = db_prepare ( $db_connection, "SELECT COUNT( links.ID ) as `count` FROM links;");
        db_execute ( $statement );
        $result = $statement->get_result ( );
        $row = $result->fetch_assoc ( );
        header ( 'Content-Type: application/json' );
        $response = [
            'status' => 200,
            'message' => 'URL inserted correctly.',
            'new_id' => $row [ 'count' ],
        ];
        echo ( json_encode ( $response ) );
    }
    else {
        $db_connection = db_connect ( );
        $statement = db_prepare ( $db_connection, "SELECT links.ID, links.URL FROM links WHERE links.created_by = " . $_SESSION [ 'user_id' ] );
        db_execute ( $statement );
        $result = $statement->get_result ( );
        $row = $result->fetch_assoc ( );
?>
<!DOCTYPE html>
<html>
    <head>
        <title>BJPHoster URL Shortener | Control Panel</title>
    </head>
    <body>
        <button onclick="logout()">Logout</button>
        <div id="urllist">
<?php
                if ( ! $row ) {
                    echo ( "You have not created any URL yet.<br>" );
                }
                else {
                    do {
                        echo ( "\t\t\t" . '<div>' . $row [ 'ID' ] . " | " . $row [ 'URL' ] . "</div>\n" );
                    } while ( $row = $result->fetch_assoc ( ) );
                }
?>
        </div>
        <input type="text" id="form-url" placeholder="URL:">
        <button onclick="urlinsert()">Insert new URL</button><br>
        <div id="responsetext"></div>
        <script src="js/insertnew.js"></script>
        <script>var script_name = "<?=substr($_SERVER['SCRIPT_NAME'],0,-10)?>";</script>
    </body>
</html>
<?php
    }
?>